Wrapper v1.16.2 for ReportBuilder 9-15

News about TRichView, ScaleRichView, ReportWorkshop, RVMedia
Post Reply
Sergey Tkachenko
Site Admin
Posts: 15169
Joined: Sat Aug 27, 2005 10:28 am
Contact:

Wrapper v1.16.2 for ReportBuilder 9-15

Post by Sergey Tkachenko »

Wrapper v1.16.2 for ReportBuilder 9-15

Requires TRichView 14.9+

This wrapper allows using TRichView as objects in ReportBuilder reports.
ReportBuilder web site: www.digital-metaphors.com
The wrapper implements two report objects: ppRichView and ppDBRichView.

http://www.trichview.com/resources/repo ... uilder.zip

new: ReportBuilder 15.01 is supported. Changes were required in PDF export.
In this version, for ReportBuilder 15, ppPDFRendererRV unit is automatically used, no need to include it in the project manually.
To use in older versions of ReportBuilder (9-14), remove {$DEFINE REPORTBUILDER15} from ppRichView.pas and ppPDFRendererRV.pas.

chg: when exporting to PDF, metafile images inside ppRichView are exported as bitmaps. Probably not a perfect solution, but metafiles caused many problems to RB's PDF export.

Previous version:
http://www.trichview.com/forums/viewtopic.php?t=5729

Richter.Duetting
Posts: 8
Joined: Fri Aug 22, 2008 8:41 am

XE6 Compatibility

Post by Richter.Duetting »

Is there already a package or workaround for Delphi XE6 available?

I tried to use the package for XE4 but it won´t work.

Richview 14.15.1
ReportBuilder 15.04 Enterprise (currently demo)

Sergey Tkachenko
Site Admin
Posts: 15169
Joined: Sat Aug 27, 2005 10:28 am
Contact:

Post by Sergey Tkachenko »

Unfortunately, we did not create packages for all version of RB, because it's quite compicated to test them (since RB has different installers for different versions of Delphi).
You can make it yourself.
Open DPK and DPROJ files of the XE4 package, and change all occurences:
- "XE4" to "XE6 (such as RVPkgDXE4 to RVPkgDXE6)
- "1518" to "1520" (such as rbIDE1518 to rbIDE1520)

Alexander_Dober
Posts: 122
Joined: Fri Mar 04, 2011 3:44 am

Post by Alexander_Dober »

Would this wrapper verison work with RB 17 or do you plan to make a new version?

Sergey Tkachenko
Site Admin
Posts: 15169
Joined: Sat Aug 27, 2005 10:28 am
Contact:

Post by Sergey Tkachenko »

I need a couple of day to find it out.

Sergey Tkachenko
Site Admin
Posts: 15169
Joined: Sat Aug 27, 2005 10:28 am
Contact:

Post by Sergey Tkachenko »

The latest version of TRichView wrapper for ReportBuilder can be used in ReportBuilder 7 without any changes.

The simplest way to install: take any package from the wrapper (for the most closest version of Delphi), remove references to TRichView and ReportBuilder packages from "requires", compile and install. Delphi should suggest to add the proper references to the package.

Post Reply